# Documents constitutifs de l'association OSP 

## À propos

La caravane Open Source Publishing se constitue à partir de 2006 autour de la manière par laquelle un groupe peut pratiquer le graphisme de manière professionnelle en utilisant pleinement et unique des ressources logicielles et culturelles libres. En 2015, la caravane décide de tenter l'expérience de se constituer en association belge de manière plus formelle. Ce mode de fonctionnement qui ne vise pas l'amassage de capitaux ni de bénéfices est ultra minoritaire dans le champ du graphisme européen. Il semble intéressant de le proposer à d'autres potentiels groupes, et de rassembler les outils qui permettent de l'initier de manière moins difficile.

## Contenu

L'objet du présent dépot est de rendre visible et de permettre une traçabilité et une lecture plus facile des modifications des différents textes qui constituent l'asbl-vzw Open Source Publishing.

À sa constitution le 4 mars 2015, l'association Open source Publishing a décidé :
  * de se constituer en association à la fois francophone et néérlandophone (ASBL-VZW) ce qui implique de traduire dans ces deux langues tous les textes légaux;
  * de traduire en anglais tant que possible ces textes pour permettre leur diffusion de manière plus large;
  * que l'objet social de ses statuts légaux contiennent un manifeste qui puisse être lu de manière formelle le cas échéant lors de toute procédure contradictoire;
  * que le reste de ses statuts s'en tienne au minimum prévu dans la loi belge et fasse largement référence, quand possible dans ladite loi, à un Réglement d'ordre intérieur et à un registre des membres, tous deux versionnés séparément et librement.

Jusqu'en avril 2018, ces trois documents sont élaborés dans des pads. En préparation de l'Assemblée générale du 31 mai 2018, ces textes sont basculés dans ce dépot Git afin de rendre mieux visible et traçable les modifications des différents textes qui constituent l'asbl-vzw Open Source Publishing.

  * [Les status de l'asbl](markdown-files/asbl-status.md)
  * [Le réglement d'ordre intérieur (ROI)](markdown-files/asbl-ROI.md)
  * [Le registre des membres](markdown-files/asbl-registre.md)

## Versionnage

Ce dépot utilise le logiciel de gestion de versions décentralisé [Git](https://fr.wikipedia.org/wiki/Git). Il possède deux branches.
La première, la **master** est la version stable, les textes y sont publiés
d'une manière officielle et formelle.
La seconde, la **discussion** est l'endroit des réflexions collectives, où l'on
cherche les bonnes articulations et où différentes versions peuvent être comparées.

Pour basculer vers la branche discussion, et donc changer de branche, utiliser

```bash
$ git chechout discussion
```

Pour revenir vers la branche master, utiliser à l'inverse

```bash
$ git chechout master
```

Pour comparer les différents versions d'un fichier d'une branche à l'autre, utiliser

```bash
$ git diff master..discussion -- myfile.md

```

### Structure des fichiers

```
├── markdown-files
│   ├── asbl-registre.md
│   ├── asbl-ROI.md
│   └── asbl_statuts.md
├── pdf
│   ├── OSP-04-03-2015-fr.pdf
│   ├── OSP-04-03-2015-nl.pdf
│   ├── OSP-2016-10-26-fr.pdf
│   └── OSP-2016-10-26-nl.pdf
└── README.md
```
